--- a/src/amd/vulkan/radv_physical_device.c
+++ b/src/amd/vulkan/radv_physical_device.c
@@ -111,13 +111,7 @@ radv_filter_minmax_enabled(const struct radv_physical_device *pdev)
 bool
 radv_enable_rt(const struct radv_physical_device *pdev, bool rt_pipelines)
 {
-   if (pdev->info.gfx_level < GFX10_3 && !radv_emulate_rt(pdev))
-      return false;
-
-   if (rt_pipelines && pdev->use_llvm)
-      return false;
-
-   return true;
+   return false; // until reasonable or full hardware implementation
 }
 
 bool
@@ -791,7 +785,7 @@ radv_physical_device_get_features(const struct radv_physical_device *pdev, struc
       .multiViewport = true,
       .samplerAnisotropy = true,
       .textureCompressionETC2 = pdev->info.has_etc_support || pdev->emulate_etc2,
-      .textureCompressionASTC_LDR = pdev->emulate_astc,
+      .textureCompressionASTC_LDR = false, // until really obsolete, or reasonable implementation
       .textureCompressionBC = true,
       .occlusionQueryPrecise = true,
       .pipelineStatisticsQuery = true,
